This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 462195 - --force fails on directory os-disc1
--force fails on directory os-disc1
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-13 17:15 EDT by John Reiser
Modified: 2013-01-09 20:52 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-25 17:57:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2008-09-13 17:15:06 EDT
Description of problem: --force on the comand line fails to override the objection that /data/Fedora10/10/i386/os-disc1 already exists


Version-Release number of selected component (if applicable):
pungi-2.0.4-1.fc10.noarch


How reproducible: always

Steps to Reproduce:
1.pungi -c /usr/share/pungi/rawhide-fedora.ks --force --destdir=/data/Fedora10 --name Fedora --ver 10 --nosource

2.pungi -c /usr/share/pungi/rawhide-fedora.ks --force --destdir=/data/Fedora10 --name Fedora --ver 10 --nosource   # repeat of step 1, without cleaning destination tree

3.
  
Actual results:
Pungi:ERROR: Directory /data/Fedora10/10/i386/os-disc1 already exists.  Use --force to overwrite.


Expected results:
no complaints, and successful compose.  "--force" was specified as the third argument, just before --destdir=.

Additional info:
Comment 1 Bug Zapper 2008-11-25 22:04:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jesse Keating 2009-02-05 18:57:13 EST
This still applies to rawhide.
Comment 3 Bug Zapper 2009-06-09 05:44:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 08:14:43 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jesse Keating 2010-05-25 17:57:40 EDT
We finally fixed this upstream, it'll be in the next release of pungi.

Note You need to log in before you can comment on or make changes to this bug.